//
//  MasterViewController.m
//  MLBMobile
//
//  Created by Tommy MacWilliam on 11/11/12.
//  Copyright (c) 2012 Tommy MacWilliam. All rights reserved.
//

#import "MasterViewController.h"
#import "DivisionsViewController.h"

@implementation MasterViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    // read information from Teams.plist
    self.leagues = [[NSDictionary alloc] initWithContentsOfFile:
                    [[NSBundle mainBundle] pathForResource:@"Teams" ofType:@"plist"]];

}

#pragma mark - Table View

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return self.leagues.count;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"LeagueCell" forIndexPath:indexPath];
    cell.textLabel.text = [[self.leagues allKeys] objectAtIndex:indexPath.row];
    return cell;
}

- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    if ([[segue identifier] isEqualToString:@"showDivisions"]) {
        NSIndexPath* indexPath = [self.tableView indexPathForSelectedRow];
        DivisionsViewController* d = (DivisionsViewController*)segue.destinationViewController;
        d.divisions = [self.leagues objectForKey:[[self.leagues allKeys] objectAtIndex:indexPath.row]];
    }
}

@end
